package com.fuzamei.entity;
/**
 * 
 * @className:UserDetail[用户所有详细信息实体类]
 * @author:ylx--->[yanglingxiao2009@163.com]
 * @date:2018年1月25日上午10:05:27
 * @version v1.0
 */

import java.util.List;

public class UserDetail {
	private Integer id;					//主键id
	private Integer userId;				//用户id
	private String username;			//账号名
	private String password;			//密码
	private Integer pId;				//上级id
	private Integer roleId;				//角色id
	private String roleName;			//角色名称
	private String personName;			//人名
	private Integer random;				//随机数(用于产生公钥私钥)
	private String token;				//令牌
	private Long createTime;			//用户创建时间
	private Long updateTime;			//更新时间
	private List<Module> modules;		//模块信息
	private List<UserDetail> users;			//对应的人员信息
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public Integer getpId() {
		return pId;
	}
	public void setpId(Integer pId) {
		this.pId = pId;
	}
	public Integer getRoleId() {
		return roleId;
	}
	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}
	public String getRoleName() {
		return roleName;
	}
	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}
	public String getPersonName() {
		return personName;
	}
	public void setPersonName(String personName) {
		this.personName = personName;
	}
	public Integer getRandom() {
		return random;
	}
	public void setRandom(Integer random) {
		this.random = random;
	}
	public String getToken() {
		return token;
	}
	public void setToken(String token) {
		this.token = token;
	}
	public Long getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Long createTime) {
		this.createTime = createTime;
	}
	public Long getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Long updateTime) {
		this.updateTime = updateTime;
	}
	public List<Module> getModules() {
		return modules;
	}
	public void setModules(List<Module> modules) {
		this.modules = modules;
	}
	public List<UserDetail> getUsers() {
		return users;
	}
	public void setUsers(List<UserDetail> users) {
		this.users = users;
	}
	@Override
	public String toString() {
		return "UserDetail [id=" + id + ", userId=" + userId + ", username=" + username + ", password=" + password
				+ ", pId=" + pId + ", roleId=" + roleId + ", roleName=" + roleName + ", personName=" + personName
				+ ", random=" + random + ", token=" + token + ", createTime=" + createTime + ", updateTime="
				+ updateTime + ", modules=" + modules + ", users=" + users + "]";
	}
	
	
}
